<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php'); 
$action = (isset($_REQUEST['action']) && $_REQUEST['action'] !=NULL)?$_REQUEST['action']:'';
if($action == 'ajax'){
    $q = mysqli_real_escape_string($con,(strip_tags($_REQUEST['q'], ENT_QUOTES)));
    $buscar = mb_strtoupper($q);
    include '../include/pagination.php'; 
    $page = (isset($_REQUEST['page']) && !empty($_REQUEST['page']))?$_REQUEST['page']:1;
    $per_page = 11; 
    $adjacents = 4; 
    $offset = ($page - 1) * $per_page;
    $count_query= mysqli_query($con, "SELECT count(*) AS numrows FROM articulos  where art_tipo='Servicio' and empresa='$empresa' and  (art_nombre like '%$q%'  OR art_referencia like '%$q%')");
    $row= mysqli_fetch_array($count_query);
    $numrows = $row['numrows'];
    $total_pages = ceil($numrows/$per_page);
    $reload = './I_servicios.php';
    $sql="SELECT * FROM articulos where art_tipo='Servicio' and empresa='$empresa' and (art_nombre like '%$q%'  OR art_referencia like '%$q%') order by art_referencia asc LIMIT $offset,$per_page";
    $query = mysqli_query($con, $sql);
    if ($numrows>0){
?>

<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th width="8%">CODIGO</th>
            <th>NOMBRE</th>
            <th width="10%">PRECIO</th>
            <th width="15%"></th>
        </tr>
    </thead>
    <tbody class="buscara">
    <?php  while ($reg=mysqli_fetch_array($query)){
        $id=$reg['art_id'];;
    ?>
        <input type="hidden" value="<?php echo $reg['art_referencia'];?>" id="referencia<?php echo $reg['art_id'];?>">
        <input type="hidden" value="<?php echo $reg['art_nombre'];?>" id="nombre<?php echo $reg['art_id'];?>">
        <input type="hidden" value="<?php echo $reg['ubicacion_ubi_id'];?>" id="ubicacion<?php echo $reg['art_id'];?>">
        <input type="hidden" value="<?php echo $reg['art_precio_costo'];?>" id="costo<?php echo $reg['art_id'];?>">
        <input type="hidden" value="<?php echo $reg['art_iva'];?>" id="iva<?php echo $reg['art_id'];?>">
        <input type="hidden" value="<?php echo $reg['art_pvp'];?>" id="pvp<?php echo $reg['art_id'];?>">
        <input type="hidden" value="<?php echo $reg['art_comision']+0;?>" id="comision<?php echo $reg['art_id'];?>">
        <tr>
            <td><?php  echo $reg['art_referencia']; ?></td>
            <td><?php  $art_nombre=$reg['art_nombre']; 
                echo mb_strtoupper(str_replace($buscar, "<strong><span style='color: ".$resaltador."'>".$buscar."</span></strong>", $art_nombre)); ?>
            </td>
            <td><p class="pull-right"><?php  echo number_format($reg['art_pvp'],0); ?></p></td>
            <td>
                <a href="#" class='btn btn-xs btn-info' title='Editar Servicio' onclick="obtener_datos('<?php echo $reg['art_id'];?>');" data-toggle="modal" data-target="#modificar_ser"><i class="btn-icon-only icon-edit"></i></a>
                <a href="#" onclick="eliminar('<?php echo $reg['art_id'];?>')" title="Eliminar" class="btn btn-xs btn-danger"> <i class="btn-icon-only icon-remove"></i></a>  
            </td>
        </tr>
        </tr>
        <?php } ?>
        <tr>
            <td colspan=4><span class="pull-right">
            <?php echo paginate($reload, $page, $total_pages, $adjacents);?></span>
            </td>
        </tr>
    </table>
<?php } } ?>
<script>
function obtener_datos(id){
    var referencia = $("#referencia"+id).val();
    var nombre = $("#nombre"+id).val();
    var ubicacion = $("#ubicacion"+id).val();
    var costo = $("#costo"+id).val();
    var iva = $("#iva"+id).val();
    var pvp = $("#pvp"+id).val();
    var comision = $("#comision"+id).val();

    $("#id").val(id);
    $("#referencia").val(referencia);
    $("#nombre").val(nombre);
    $("#ubicacion").val(ubicacion);
    $("#costo").val(costo);
    $("#iva").val(iva);
    $("#pvp").val(pvp);
    $("#comision").val(comision);
}
function eliminar(art_id)
{
    if (confirm("Realmente deseas eliminar El servicio")){ 
    $.ajax({
        type: "GET",
        url: "php_articulo/eliminar_articulo.php",
        data: "art_id="+art_id,
      beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
      $("#resultados").html(datos);
      load(1);
      }
        });
    }
} 
</script>